Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## writer2latex.latex
Class PageStyleConverter

    java.lang.Object
      writer2latex.latex.ConverterHelper
          writer2latex.latex.StyleConverter
              writer2latex.latex.PageStyleConverter

    public class PageStyleConverter

extends StyleConverter

Field Summary
`private PageLayout` | `mainPageLayout`
`private java.lang.String` | `sChapterField1`
`private java.lang.String` | `sChapterField2`

Fields inherited from class writer2latex.latex.StyleConverter
`declarations, styleMap, styleNames`

Fields inherited from class writer2latex.latex.ConverterHelper
`config, ofr, palette`

Constructor Summary
`PageStyleConverter(OfficeReader ofr, Config config, ConverterPalette palette)` Constructs a new `PageStyleConverter`.

Method Summary
`void` | `appendDeclarations(LaTeXDocumentPortion pack, LaTeXDocumentPortion decl)`
`private void` | `applyMasterPage(java.lang.String sName, BeforeAfter ba)` Use a Master Page (pagestyle in LaTeX)
`void` | `applyPageBreak(StyleWithProperties style, boolean bInherit, BeforeAfter ba)` Apply page break properties from a style.
`private void` | `convertMasterPages(LaTeXDocumentPortion ldp)`
`private void` | `convertPageMasterGeometry(LaTeXDocumentPortion pack, LaTeXDocumentPortion ldp)`
`private java.lang.String` | `getBorderWidth(PageLayout style, boolean bHeader)`
`private java.lang.String` | `getDisplayName(java.lang.String sName)`
`private java.lang.String` | `getParAlignment(org.w3c.dom.Node node)`
`boolean` | `isTwocolumn()`
`void` | `setChapterField1(java.lang.String s)`
`void` | `setChapterField2(java.lang.String s)`
`private void` | `traverseHeaderFooter(org.w3c.dom.Element node, LaTeXDocumentPortion ldp, Context context)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### sChapterField1

    private java.lang.String sChapterField1

### sChapterField2

    private java.lang.String sChapterField2

### mainPageLayout

    private PageLayout mainPageLayout

Constructor Detail

### PageStyleConverter

    public PageStyleConverter(OfficeReader ofr,
                              Config config,
                              ConverterPalette palette)

  Constructs a new `PageStyleConverter`.

Method Detail

### appendDeclarations

    public void appendDeclarations(LaTeXDocumentPortion pack,
                                   LaTeXDocumentPortion decl)

  Overrides:
    `appendDeclarations` in class `StyleConverter`

### setChapterField1

    public void setChapterField1(java.lang.String s)

### setChapterField2

    public void setChapterField2(java.lang.String s)

### isTwocolumn

    public boolean isTwocolumn()

### applyPageBreak

    public void applyPageBreak(StyleWithProperties style,
                               boolean bInherit,
                               BeforeAfter ba)

  Apply page break properties from a style.

  Parameters:
    ``style`` - the style to use
    ``bInherit`` - true if inheritance from parent style should be used
    ``ba`` - a `BeforeAfter` to put code into

### applyMasterPage

    private void applyMasterPage(java.lang.String sName,
                                 BeforeAfter ba)

  Use a Master Page (pagestyle in LaTeX)

  Parameters:
    `sName` - name of the master page to use
    `ba` - the `BeforeAfter` to add code to.

### convertMasterPages

    private void convertMasterPages(LaTeXDocumentPortion ldp)

### getParAlignment

    private java.lang.String getParAlignment(org.w3c.dom.Node node)

### getBorderWidth

    private java.lang.String getBorderWidth(PageLayout style,
                                            boolean bHeader)

### traverseHeaderFooter

    private void traverseHeaderFooter(org.w3c.dom.Element node,
                                      LaTeXDocumentPortion ldp,
                                      Context context)

### convertPageMasterGeometry

    private void convertPageMasterGeometry(LaTeXDocumentPortion pack,
                                           LaTeXDocumentPortion ldp)

### getDisplayName

    private java.lang.String getDisplayName(java.lang.String sName)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD